NETGEAR R6220 upgrade

Sorry for my English.
I have a Netgear R6220 router with OpenWrt 19.07.5. I want to update it to version 22.03. When i try to flash the file (openwrt-22.03.0-ramips-mt7621-netgear_r6220-squashfs-sysupgrade.bin) i get a error who says :

Device r6220 not supported by this image Supported devices: netgear,r6220 r6220 - Image version mismatch: image 1.1, device 1.0. Please wipe config during upgrade (force required) or reinstall. Reason: Config cannot be migrated from swconfig to DSA Image check failed.

The uploaded image file does not contain a supported format. Make sure that you choose the generic image format for your platform.

Force upgrade*

Select 'Force upgrade' to flash the image even if the image format check fails. Use only if you are sure that the firmware is correct and meant for your device!

I continue? The problem is only "swconfig to DSA"?
I Select: “Force upgrade”?
Is there a substantial performance degradation with this firmware?
thank you
Geolan

You should find the details via a forum search, it has come up (lots of times) before, but in short.

  • it's about the migration from swconfig to dsa
  • you need to force the upgrade
    • make very, very sure that you use the correct image, as forcing foregoes all normal image verification checks
  • you can't keep (or restore) your old configuration and must use sysupgrade --force -n <image> or do the equivalent in luci
2 Likes

Hi.
Agreed with @slh answer.
I would add that you'd better flash 21.02 before 22.03. Flash 21.02.3 : answer "force upgrade", don't keep settings. After reboot, don't bother to setup config, directly flash 22.03.0. After reboot you will have to setup the config completly.

1 Like